$(document).ready(function() {
    cargarParametros();
});



function cargarParametros() {
    let v_id = $('#txt_id').val();
    $.ajax({
        type: 'post',
        url: 'parametrosCargar-ajax.php',
        data: {
            id: v_id
        },
        success: function(data) {
            $("#tableContent").html(data).fadeIn('slow');

            jQuery('#tablaParametros').DataTable({
                responsive: true
            });

        },
        error: function(msg) {

            alert('No se pudo cargar la información');

        },
        complete: function() {

        }
    })

}

function solicitaRecuperar(par1, par2) {

    $.ajax({
        url: 'parametrosRecuperar-ajax.php?par1=' + par1 + '&par2=' + par2,
        success: function(data) {

            $("#div_modal_parametro").html(data).fadeIn('slow');
            $('#md_modal_parametro').modal('show');

        }
    })

}

function parametroGuardar() {

    $.ajax({
        type: 'post',
        url: 'parametrosGuardar-ajax.php',
        dataType: 'json',
        beforeSend: function() {
            mostrar_blockUI();
        },
        async: false,
        data: $("#frm_parametro").serialize(),
        success: function(msg) {

            if (msg.success) {
                $('#md_modal_parametro').modal('hide');
                modalMensajeMostrar( 'Guardar ítem', msg.mensaje, cargarParametros);
            } else {
                modalMensajeMostrar( 'Guardar ítem', msg.mensaje);
            }
        },
        error: function(msg) {
            modalMensajeMostrar( 'Error', 'No se pudo cargar la información' );
        },
        complete: function() {
            ocultar_blockUI();
        }
    });

}

function parametroEliminarConfirmar(par1, par2) {
    modalConfirmarMostrar('Eliminación de un ítem', '¿Está seguro de eliminar el siguiente valor: <b>' + par2 + '</b>?', 
                            parametroEliminar, par1, 'Eliminar', 'picons-thin-icon-thin-0018_office_trash_bin');

}

function parametroEliminar() {

    var v_par1 = $('#md_modal_confirmar_txt_id').val();

    $.ajax({
        type: 'post',
        url: 'parametrosEliminar-ajax.php',
        data: {
            par1: v_par1
        },
        dataType: 'json',
        beforeSend: function() {
            mostrar_blockUI();
        },
        success: function(msg) {

            if (msg.success) {
                $('#md_modal_confirmar').modal('hide');
                modalMensajeMostrar( 'Eliminación de un ítem', msg.mensaje, cargarParametros);
            } else {
                modalMensajeMostrar( 'Eliminación de un ítem', msg.mensaje);
            }
        },
        error: function(msg) {
            $('#md_modal_confirmar_lbl_mensaje').text('No se pudo eliminar el ítem');
        },
        complete: function() {
            ocultar_blockUI();			
        }
    });
}


